aboutsummaryrefslogtreecommitdiff
path: root/Config.in.legacy
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2015-09-01 15:45:31 -0300
committerGravatar Peter Korsgaard <peter@korsgaard.com>2015-09-13 23:28:26 +0200
commit4ac4bc32836454845bd33a6e2539c6338dd94f6c (patch)
treec7ea0a170e760abc96a8419f9eff49ef96983436 /Config.in.legacy
parent38c291cd955c8bc3d66f332de6bbdc23c94dded2 (diff)
downloadbuildroot-4ac4bc32836454845bd33a6e2539c6338dd94f6c.tar.gz
buildroot-4ac4bc32836454845bd33a6e2539c6338dd94f6c.tar.bz2
linux-headers: remove deprecated versions 3.{0, 11, 13, 15}
Remove for the upcoming 2015.11 release, they've been deprecated for a year now. Also remove some previously forgotten selection removals in legacy. [Peter: drop 3.0.x kernel patch] Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'Config.in.legacy')
-rw-r--r--Config.in.legacy56
1 files changed, 48 insertions, 8 deletions
diff --git a/Config.in.legacy b/Config.in.legacy
index 52031fe82b..fbe61d8ec8 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -107,6 +107,46 @@ endif
###############################################################################
comment "Legacy options removed in 2015.11"
+config BR2_KERNEL_HEADERS_3_0
+ bool "kernel headers version 3.0.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_2
+ select BR2_LEGACY
+ help
+ Version 3.0.x of the Linux kernel headers have been deprecated
+ for more than four buildroot releases and are now removed.
+ As an alternative, version 3.2.x of the headers have been
+ automatically selected in your configuration.
+
+config BR2_KERNEL_HEADERS_3_11
+ bool "kernel headers version 3.11.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_12
+ select BR2_LEGACY
+ help
+ Version 3.11.x of the Linux kernel headers have been deprecated
+ for more than four buildroot releases and are now removed.
+ As an alternative, version 3.12.x of the headers have been
+ automatically selected in your configuration.
+
+config BR2_KERNEL_HEADERS_3_13
+ bool "kernel headers version 3.13.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_14
+ select BR2_LEGACY
+ help
+ Version 3.13.x of the Linux kernel headers have been deprecated
+ for more than four buildroot releases and are now removed.
+ As an alternative, version 3.14.x of the headers have been
+ automatically selected in your configuration.
+
+config BR2_KERNEL_HEADERS_3_15
+ bool "kernel headers version 3.15.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_18
+ select BR2_LEGACY
+ help
+ Version 3.15.x of the Linux kernel headers have been deprecated
+ for more than four buildroot releases and are now removed.
+ As an alternative, version 3.18.x of the headers have been
+ automatically selected in your configuration.
+
config BR2_PACKAGE_DIRECTFB_EXAMPLES_ANDI
bool "DirectFB example df_andi has been removed"
select BR2_PACKAGE_DIRECTFB_EXAMPLES
@@ -862,12 +902,12 @@ config BR2_PACKAGE_LIBELF
config BR2_KERNEL_HEADERS_3_8
bool "kernel headers version 3.8.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_9
+ select BR2_KERNEL_HEADERS_3_10
select BR2_LEGACY
help
Version 3.8.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.9.x of the headers have been
+ As an alternative, version 3.10.x of the headers have been
automatically selected in your configuration.
config BR2_PACKAGE_GETTEXT_TOOLS
@@ -1020,22 +1060,22 @@ config BR2_PACKAGE_EVTEST_CAPTURE
config BR2_KERNEL_HEADERS_3_6
bool "kernel headers version 3.6.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_9
+ select BR2_KERNEL_HEADERS_3_10
select BR2_LEGACY
help
Version 3.6.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.8.x of the headers have been
+ As an alternative, version 3.10.x of the headers have been
automatically selected in your configuration.
config BR2_KERNEL_HEADERS_3_7
bool "kernel headers version 3.7.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_9
+ select BR2_KERNEL_HEADERS_3_10
select BR2_LEGACY
help
Version 3.7.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.8.x of the headers have been
+ As an alternative, version 3.10.x of the headers have been
automatically selected in your configuration.
config BR2_PACKAGE_VALA
@@ -1215,12 +1255,12 @@ config BR2_KERNEL_HEADERS_3_3
config BR2_KERNEL_HEADERS_3_5
bool "kernel headers version 3.5.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_9
+ select BR2_KERNEL_HEADERS_3_10
select BR2_LEGACY
help
Version 3.5.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.8.x of the headers have been
+ As an alternative, version 3.10.x of the headers have been
automatically selected in your configuration.
config BR2_GDB_VERSION_7_2